Bug 51652 - Toggling the Header/Footer on a ListView Throws an NRE
Summary: Toggling the Header/Footer on a ListView Throws an NRE
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: iOS (show other bugs)
Version: 2.3.4
Hardware: PC Windows
: Normal major
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-01-19 23:55 UTC by Jimmy [MSFT]
Modified: 2017-07-05 06:48 UTC (History)
4 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments
repro project (349.26 KB, application/zip)
2017-01-19 23:55 UTC, Jimmy [MSFT]
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Jimmy [MSFT] 2017-01-19 23:55:21 UTC
Created attachment 19409 [details]
repro project

### Overview
On iOS, adding and removing the header/footer on a ListView will throw an NRE when you try to add it again.


### Steps to reproduce
1. Run the attached iOS project
2. Press the "Toggle Footer" button to add a Footer
3. Press the button again to remove the Footer
4. Press the button again


### Expected Results 
A footer is added to the ListView


### Actual Results
The app crashes with an NRE


### Version info
Reproduced with Forms 2.3.3.180 and 2.3.4-pre1
Comment 1 Jimmy [MSFT] 2017-01-20 01:02:28 UTC
Submitted PR for fix: https://github.com/xamarin/Xamarin.Forms/pull/702
Comment 2 Samantha Houts [MSFT] 2017-01-23 18:39:38 UTC
Should be fixed in 2.3.5-pre1. Thank you!
Comment 3 Saurabh Paunikar 2017-07-05 06:48:45 UTC
Verified on Xamarin.form version 2.3.5.256-pre6